# Guardian Naga
>*Large monstrosity, lawful good*
>___
>- **Armor Class** 18 (natural armor)
>- **Hit Points** 127 (15d10 + 45)
>- **Speed** 40 ft.
>___
>|STR|DEX|CON|INT|WIS|CHA|
>|:---:|:---:|:---:|:---:|:---:|:---:|
>|19 (+4)|18 (+4)|16 (+3)|16 (+3)|19 (+4)|18 (+4)|
>___
>- **Saving Throws** Dex +8, Con +7, Int +7, Wis +8, Cha +8
>- **Damage Immunities** poison
>- **Condition Immunities** charmed, poisoned
>- **Senses** darkvision 60 ft., passive Perception 14
>- **Languages** Celestial, Common
>- #beast/cr/10 (5,900 XP)
>___
>***Rejuvenation.*** If it dies, the naga returns to life in 1d6 days and regains all its hit points. Only a wish spell can prevent this trait from functioning.  
>
>***Spellcasting.*** The naga is an 11th-level spellcaster. Its spellcasting ability is Wisdom (spell save DC 16, +8 to hit with spell attacks), and it needs only verbal components to cast its spells. It has the following cleric spells prepared:  
>
>Cantrips (at will): mending, sacred flame, thaumaturgy  
>1st level (4 slots): command, cure wounds, shield of faith  
>2nd level (3 slots): calm emotions, hold person  
>3rd level (3 slots): bestow curse, clairvoyance  
>4th level (3 slots): banishment, freedom of movement  
>5th level (2 slots): flame strike, geas  
>6th level (1 slot): true seeing  
>
>### Actions
>***Bite.*** Melee Weapon Attack: +8 to hit, reach 10 ft., one creature. Hit: 8 (1d8 + 4) piercing damage, and the target must make a DC 15 Constitution saving throw, taking 45 (10d8) poison damage on a failed save, or half as much damage on a successful one.  
>
>***Spit Poison.*** Ranged Weapon Attack: +8 to hit, range 15/30 ft., one creature. Hit: The target must make a DC 15 Constitution saving throw, taking 45 (10d8) poison damage on a failed save, or half as much damage on a successful one.

## Guardian Naga

Wise and good, the beautiful guardian nagas protect sacred places and items of magical power from falling into evil hands. In their hidden redoubts, they research spells and hatch convoluted plots to thwart the evil designs of their enemies.

A guardian naga doesn't seek out violence, warning off intruders rather than attacking. Only if its foes persist does the naga attack, accosting enemies with its spells and poisonous spittle.

***Nagas.*** Nagas are intelligent serpents that inhabit the ruins of the past, amassing arcane treasures and knowledge.

The first nagas were created as immortal guardians by a humanoid race long lost to history. When this race died out, the nagas deemed themselves the rightful inheritors of their masters' treasures and magical lore. Industrious and driven, nagas occasionally venture out from their lairs to track down magic items or rare spellbooks.

Nagas never feel the ravages of time or succumb to sickness. Even if it is struck down, a naga's immortal spirit reforms in a new body in a matter of days, ready to continue its eternal work.

***Benevolent Dictators and Brutal Tyrants.***  A naga rules its domain with absolute authority. Whether it rules with compassion or by terrorizing its subjects, the naga believes itself the master of all other creatures that inhabit its domain.

***Rivalry.***  Nagas have a long-standing enmity with the yuan-ti, with each race seeing itself as the epitome of serpentine evolution. Though cooperation between them is rare, nagas and yuan-ti sometimes set aside their differences to work toward common objectives. However, yuan-ti always chafe under a naga's authority.

***Immortal Nature.***  A naga doesn't require air, food, drink, or sleep.